#version 100

attribute vec3 Position;
attribute vec2 TexCoord;
#ifndef __APPLE__
varying mediump vec2 TexCoordInterpolated;
varying mediump vec2 PositionInterpolated;
#else
varying vec2 TexCoordInterpolated;
varying vec2 PositionInterpolated;
#endif
uniform mat4 TransformMatrix;

void main(void) {
    TexCoordInterpolated = TexCoord;
    PositionInterpolated = Position.xy;
    gl_Position = TransformMatrix * vec4(Position, 1);
}
